omq.client.listener

## Class ResponseListener

- java.lang.Object
- - java.lang.Thread
  - - omq.client.listener.ResponseListener

- All Implemented Interfaces:
    java.lang.Runnable

      public class ResponseListener
      extends java.lang.Thread

  Class that inherits from Thread. It's used in the client side. This class gets the deliveries from the server and stores them into the different proxies created.
  Author:
    Sergi Toda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseListener(Broker broker)` ResponseListener constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(java.lang.String key)`
    `void` | `kill()` Interrupt and kill the Thread
    `void` | `registerProxy(Proxymq proxy)` This method registers a new proxy into this responseListener
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseListener

          public ResponseListener(Broker broker)
                           throws java.lang.Exception

      ResponseListener constructor
      Parameters:
        `broker` -
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### containsKey

          public boolean containsKey(java.lang.String key)

      Parameters:
        `key` -
      Returns:
        whether the map has the param key

    - #### kill

          public void kill()
                    throws java.io.IOException

      Interrupt and kill the Thread
      Throws:
        `java.io.IOException`

    - #### registerProxy

          public void registerProxy(Proxymq proxy)

      This method registers a new proxy into this responseListener
      Parameters:
        `proxy` -